Bug 474990 - gspca frame overflow
gspca frame overflow
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 07:50 EST by diego
Modified: 2008-12-24 13:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-11 14:15:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing the frame overflow messages with vc0321 cams (619 bytes, patch)
2008-12-10 04:19 EST, Hans de Goede
no flags Details | Diff

  None (edit)
Description diego 2008-12-06 07:50:41 EST
Description of problem:
if I use cheese or another program that need of a webcam, the webcam doesn't work.

Version-Release number of selected component (if applicable):
kernel 2.6.27.5-117.fc10.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
I receive this message:

gspca: frame overflow 616402 > 614400
gspca: frame overflow 615378 > 614400
gspca: frame overflow 615378 > 614400
gspca: frame overflow 617426 > 614400
gspca: frame overflow 615378 > 614400
gspca: frame overflow 617426 > 614400
gspca: frame overflow 616402 > 614400



Expected results:


Additional info:
This is the lsusb output:
Bus 001 Device 002: ID 046d:0896 Logitech, Inc. OrbiCam
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 002: ID 062a:0000 Creative Labs Optical mouse
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

In fedora 9 I use gspca kmod module, and doesn't receve this error. With the kernel-2.6.27 on Fedora 10 (that include gspca driver) doesn't work.
Comment 1 Hans de Goede 2008-12-10 04:18:42 EST
Hi Diego,

Thanks for reporting this. We've had reports from other users with the same cam which did not include the gspca: frame overflow dmesg messages, so I'm very glad you've reported this.

I've prepared a patch fixing this (hopefully).

Can you please follow the instructions here:
http://hansdegoede.livejournal.com/6630.html

But before doing the "make" command in the list of commands there first do:
patch -p1 < [path-to]/gspca-vc0321-fix-frame-overflow.patch

Replacing [path-to] with the directory where you've saved the patch (which I will attach next). If the "patch" command is not found, you need to do:
yum install patch

If these instructions are over your head, please let me know, then we will do things differently (in a way which is more work for me, but easier for you).
Comment 2 Hans de Goede 2008-12-10 04:19:37 EST
Created attachment 326472 [details]
Patch fixing the frame overflow messages with vc0321 cams
Comment 3 diego 2008-12-10 09:18:57 EST
Hi hans,
thank you for your help. I have follow your instructions, and now the webcam work fine. I receive only this message on dmesg command :

gspca: ISOC data error: [4] len=1024, status=-71

but the cam work.
Do you wont to insert the patch on the fedora kernel update, please? :-).

Good work, and thank you very much.

Diego.
Comment 4 Hans de Goede 2008-12-11 14:15:55 EST
Ok, I've put this patch in both the F-10 and devel branches of CVS, so with the first kernel build for either this will get included, closing.

And thanks for testing!
Comment 5 Fedora Update System 2008-12-17 11:21:05 EST
kernel-2.6.27.9-159.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.27.9-159.fc10
Comment 6 Fedora Update System 2008-12-24 13:45:16 EST
kernel-2.6.27.9-159.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.